2018-12-12 19:43 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000096Branch 0.2.1-FINALBugpublic2016-11-23 10:13
Reporteruser13 
Assigned Touser13 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000096: Fehlermeldung in load_extension.php
DescriptionNote: errno=8,errstr=Undefined variable: cacheInstance,errfile=load_extensions.php,errline=65
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000253

Quix0r (administrator)

Wuerde deiner Meinung nach ein global-Statement hier ausreichend sein?

~0000262

user13

Jo könnte abhelfen, aber ich glaube, dass da noch mehrere solche Variablen "herumfliegen". Das kapseln mit LOAD_INC oder LOAD_INC_ONCE in einer Funktion hat halt den Scope geändert. Eventuell sollte die Variable von $GLOBALS geholt und geschrieben werden. Ein global-Statement wird ja ohnehin nicht mehr als gute programmierweise angesehen. Ich werd da mal einen Feature-Request aufmachen. Eventuell dieses auch gleich in der 0.3.0 Version fix mit einplanen.

~0000264

Quix0r (administrator)

0.3.0 ist ohne einem Global-Statement. :) Alles sauber aus dem Objekt "HttpRequest" rausholbar. Dann sollt ich deiner Meinung nach $cacheInstance nach $GLOBALS['cacheInstance'] umschreiben, damit es etwas sauberer wird?

Ich kann da gleich $cacheArray mit umschreiben.

~0000267

Quix0r (administrator)

$GLOBALS['cache_instance'] nun endlich. :) Siehe Kommit 765.

~0000270

Quix0r (administrator)

Sollte nun behoben sein?

~0000721

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-23 20:10 user13 New Issue
2009-02-23 20:10 user13 Status new => assigned
2009-02-23 20:10 user13 Assigned To => Quix0r
2009-02-23 22:45 Quix0r Note Added: 0000253
2009-02-23 22:45 Quix0r Assigned To Quix0r => user13
2009-02-23 22:45 Quix0r Status assigned => feedback
2009-02-28 00:14 Quix0r Projection none => tweak
2009-02-28 00:14 Quix0r ETA none => < 1 day
2009-02-28 00:14 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-28 03:43 user13 Note Added: 0000262
2009-02-28 03:43 user13 Status feedback => assigned
2009-02-28 03:43 user13 Assigned To user13 => Quix0r
2009-02-28 12:05 Quix0r Note Added: 0000264
2009-02-28 13:01 Quix0r Note Added: 0000267
2009-02-28 15:35 Quix0r Note Added: 0000270
2009-02-28 15:35 Quix0r Assigned To Quix0r => user13
2009-02-28 15:35 Quix0r Status assigned => feedback
2009-03-12 23:12 Quix0r Status feedback => resolved
2009-03-12 23:12 Quix0r Resolution open => fixed
2009-11-25 21:44 Quix0r Product Version 0.2.1-FINAL =>
2009-11-25 21:44 Quix0r Build Rev. 756 => SVN-756
2010-05-28 17:19 Quix0r Product Version => 0.2.1-FINAL
2016-11-23 10:13 Quix0r Note Added: 0000721
2016-11-23 10:13 Quix0r Status resolved => closed
+Issue History